odin_2.0.3-1_amd64.deb


Advertisement

Description

odin - develop, simulate and run magnetic resonance sequences

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename odin_2.0.3-1_amd64.deb
Package name odin
Package version 2.0.3
Package release 1
Package architecture amd64
Package type deb
Category universe/science
Homepage http://od1n.sourceforge.net
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.26 MB
Installed size 4.52 MB
ODIN is a framework for magnetic resonance imaging (MRI).
It covers the whole toolchain of MRI, from low-level data acquisition
to image reconstruction. In particular, it aims at rapid prototyping
of MRI sequences. The sequences can be programmed using a high-level,
object oriented, C++ programming interface.  It provides advanced
sequence analysis tools, such as interactive plotting of k-space
trajectories, a user interface for a fast compile-link-test cycle
and a powerful MRI simulator which supports different virtual samples.
For fast and flexible image reconstruction, ODIN contains a highly
customizable, multi-threaded data-processing framework.

Alternatives

Package Version Architecture Repository
odin_2.0.3-1_i386.deb 2.0.3 i386 Ubuntu Universe
odin - - -

Requires

Name Value
g++ -
gdb -
libatlas-base-dev -
libblas-dev -
libc-dev -
libc6 >= 2.27
libc6-dev -
libgcc1 >= 1:4.0
libgsl-dev -
libodin-dev -
libqtcore4 >= 4:4.5.3
libqtgui4 >= 4:4.5.3
libstdc++6 >= 5.2
libvtk6.3 -
mitools = 2.0.3-1
x-terminal-emulator -
xterm -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package odin_2.0.3-1_amd64.deb
Source Package odin

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install odin deb package:
    # sudo apt-get install odin

Files

Path
/usr/bin/gencoil
/usr/bin/genmakefile
/usr/bin/gensample
/usr/bin/geoedit
/usr/bin/odin
/usr/bin/odinreco
/usr/bin/pulsar
/usr/bin/swab
/usr/share/doc/odin/README
/usr/share/doc/odin/TODO
/usr/share/doc/odin/TODO.Debian
/usr/share/doc/odin/changelog.Debian.gz
/usr/share/doc/odin/copyright
/usr/share/doc/odin/examples
/usr/share/man/man1/gencoil.1.gz
/usr/share/man/man1/genmakefile.1.gz
/usr/share/man/man1/gensample.1.gz
/usr/share/man/man1/geoedit.1.gz
/usr/share/man/man1/odin.1.gz
/usr/share/man/man1/odinreco.1.gz
/usr/share/man/man1/pulsar.1.gz
/usr/share/man/man1/swab.1.gz
/usr/share/menu/odin
/usr/share/odin/coils/Array8Channel.coi
/usr/share/odin/coils/radialInhomogen.coi
/usr/share/odin/samples/brain_128x128.smp
/usr/share/odin/samples/disk_128x128.smp
/usr/share/odin/samples/frequency_dist.smp
/usr/share/odin/samples/modifiedSheppLogan_128x128.smp
/usr/share/odin/samples/point_spread_function.smp
/usr/share/odin/samples/qualityPhantom_128x128.smp
/usr/share/odin/sequences/odindti.cpp
/usr/share/odin/sequences/odinepi.cpp
/usr/share/odin/sequences/odinfisp.cpp
/usr/share/odin/sequences/odingrech.cpp
/usr/share/odin/sequences/odinmdeft.cpp
/usr/share/odin/sequences/odinonep.cpp
/usr/share/odin/sequences/odinpilot.cpp
/usr/share/odin/sequences/odinprop.cpp
/usr/share/odin/sequences/odinquant.cpp
/usr/share/odin/sequences/odinrare.cpp
/usr/share/odin/sequences/odinrefg.cpp
/usr/share/odin/sequences/odinspir.cpp
/usr/share/odin/sequences/odinswi.cpp
/usr/share/odin/sequences/tj_gesse.cpp
/usr/share/odin/sequences/tj_messer.cpp

Changelog

2019-01-19 - Andreas Tille <tille@debian.org>
odin (2.0.3-1) unstable; urgency=medium
* Team upload.
* debhelper 9
* Point Vcs fields to salsa.debian.org
* Standards-Version: 4.3.0
* Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
* Remove trailing whitespace in debian/changelog
* Remove duplicated file debian/menu
* Build-Depends: help2man (since this is used as test)
* Re-activate patch to skip some tests that are failing for some
unknown reason in a pbuilder chroot
* Fix FTBFS with dcmtk >= 3.6.1~20170228-2 (thanks for the patch
to Steve Langasek <steve.langasek@canonical.com>)
Closes: #865955
* libodin-dev: Depends: sensible-utils
* hardening=+all
* Build-Depends: s/libqwt5-qt4-dev/libqwt-dev/
Closes: #909363
2017-03-10 - Gianfranco Costamagna <locutusofborg@debian.org>
odin (2.0.3-0.1) unstable; urgency=medium
* Non-maintainer upload.
- drop gcc patches, upstream
* New upstream release (Closes: #835746)
2016-07-22 - Gianfranco Costamagna <locutusofborg@debian.org>
odin (2.0.2-0.3) unstable; urgency=medium
* Non-maintainer upload.
* Revert a little bit of the previous gcc-6-fix2.
2016-07-15 - Gianfranco Costamagna <locutusofborg@debian.org>
odin (2.0.2-0.2) unstable; urgency=medium
* Non-maintainer upload.
* debian/patches/gcc-6-fix.patch:
- upstream fix [r8688] for gcc-6 build failure:
* debian/patches/gcc-6-fix2.patch:
- fix for some other gcc-6 build failures:
(Closes: #831181)
2016-07-04 - Gianfranco Costamagna <locutusofborg@debian.org>
odin (2.0.2-0.1) unstable; urgency=medium
* New upstream release, patch refresh
* Non-maintainer upload.
* Drop vtk6.3.patch, upstream.
* d/rules fix testsuite with new dcmtk (Closes: #829607)
2016-04-15 - Gianfranco Costamagna <locutusofborg@debian.org>
odin (2.0.1-0.2) unstable; urgency=medium
* Non-maintainer upload.
[ Gert Wollny ]
* Build conflicts against qt5, to make sure
it isn't picked up (Closes: #821133)
* debian/patches/vtk6.3.patch: make the package build
against vtk 6.3 (Closes: #821134)
[ Thies Jochimsen ]
* Add libhdf5-dev and libismrmrd-dev to build-dependencies,
enabling ISMRMRD format (Closes: #821162).
[ Gianfranco Costamagna ]
* Enable ISMRMRD only where available (exclude armhf)
2016-04-14 - Gianfranco Costamagna <locutusofborg@debian.org>
odin (2.0.1-0.1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream release
- vtk6 compatible.
* Switch to vtk6 and drop hacks for includes file.
(Closes: #798170)
* drop gsl2 patch: upstream
* drop old libblitz-dev and libgsl0-dev alternative dependencies
* Bump debhelper and compat level to 9.
* Bump std-version to 3.9.8
* Fix insecure VCS uri.
* Drop liboil* recommend, not in unstable/stretch anymore.
* refresh ld-as-needed.patch
* Update copyright years.
2016-04-14 - Gianfranco Costamagna <locutusofborg@debian.org>
odin (1.8.8-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix dcmtk runtime dependencies
[ Mattia Rizzolo ]
* Fix dcmtk dependencies (Closes: #810945)
2015-12-06 - Michael Hanke <mih@debian.org>
odin (1.8.8-2) unstable; urgency=medium
* Switch to using dh-autoreconf. Thanks to Bas Couwenberg for the nudge.
* Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
Courtesy Bas Couwenberg (Closes: #805819).
* Add patch for GSL 2 support. Courtesy Bas Couwenberg.
* Adjust include paths for VTK 5.10.
* Use libdcmtk-dev as primary build dependency, keep old package names
as alternatives (Closes: #804572).
* Likewise use libpng-dev as primary build-dependency, but keep libpng12-dev
as an alternative (Closes: #662451).
* Add patch to be able to build with ld --as-needed. Courtesy of Bhavani
Shankar R (Closes: #770061).
* Add explicit dependency to libdcmtk2 (no longer pull in via -dev package)
to have dicom.dic available for the test suite.

See Also

Package Description
odot_1.3.0-0.1_all.deb task list manager written in Gtk2-Perl
ods2tsv_0.7.0-2_amd64.deb ODS to TSV file converter
odt2txt_0.5-1build3_amd64.deb simple converter from OpenDocument Text to plain text
oem-config-kde_19.04.9_all.deb KDE frontend for end-user post-OEM-install configuration
oem-config-remaster_19.04.9_all.deb Remaster a CD with additional oem-config functionality
oem-config-slideshow-ubuntu-budgie_146_all.deb OEM slideshow for Ubuntu Budgie
oem-config-slideshow-ubuntu-mate_146_all.deb OEM slideshow for Ubuntu MATE
offlineimap_7.2.2+dfsg1-1_all.deb IMAP/Maildir synchronization and reader support
ofono-dev_1.21-1ubuntu1_all.deb Mobile telephony stack (development files)
ofono-phonesim-autostart_1.20-1ubuntu7_all.deb Automatically start ofono-phonesim
ofono-phonesim_1.20-1ubuntu7_amd64.deb Modem emulator used by the oFono mobile telephony stack
ofono-scripts_1.21-1ubuntu1_all.deb Mobile telephony stack (test and maintenance script files)
ofono_1.21-1ubuntu1_amd64.deb Mobile telephony stack (daemon)
ofx_0.9.14-1_amd64.deb Open Financial Exchange programs
ofxstatement-plugins_20181208_all.deb set of plugins for ofxstatement
Advertisement
Advertisement